Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82893

Summary: [RFE] up2date should remove any rpm lock files before starting
Product: Red Hat Enterprise Linux 4 Reporter: Adrian Likins <alikins>
Component: up2dateAssignee: Adrian Likins <alikins>
Status: CLOSED DEFERRED QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0CC: rhn-bugs
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-02 19:18:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Adrian Likins 2003-01-28 07:08:14 UTC
Description of problem:
if there are lock files, stale or otherwise, update might
not being able to use rpm correctly.

jbj has suggested that `up2date` just remove these files
when it starts up.

Comment 1 Chip Turner 2003-01-29 17:34:58 UTC
this seems insane.  if you remove the lockfiles, might you not end up
interrupting a running transaction?